Bug 8162 - Замечания по menu-файлу
: Замечания по menu-файлу
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wmupmon)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-08 10:51 by
Modified: 2007-05-26 12:01 (History)


Attachments
Файл меню для wmupmon (167 bytes, patch)
2005-10-08 10:53, Slava Semushin
no flags Details | Diff
Спек для wmupmon 0.1.3 (2.01 KB, text/plain)
2005-12-09 18:15, Slava Semushin
no flags Details
Патч, устаняющий предупреждения в wmupmon 0.1.3 (1.46 KB, patch)
2005-12-09 18:16, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-08 10:51:57
Есть несколько вопросов/пожеланий/замечаний по menu-файлу:

1) почему package(wmblob) ? Я так понимаю, что в скобках указывается имя пакета
и оно в данном случае совсем не wmblob

2) почему needs=wmaker ? У меня он работает во Флюксе, в description написано,
что он может работать и в других WM, но эта строка не дает аплету быть видимым
в
других оконных менеджерах :(

3) почему группа "Window Maker/DockApps" ? Предлагаю переместить в
"Applications/Monitoring"

В аттаче файл меню, который удовлетворяет всем моим предложениям :)

P.S. Второй пункт явный баг!
------- Comment #1 From 2005-10-08 10:53:12 -------
Created an attachment (id=1169) [details]
Файл меню для wmupmon
------- Comment #2 From 2005-12-09 11:37:13 -------
Ну что? Реакции не вижу :( Хоть бы ассигнул, чтобы я знал, что ты знаешь о баге
:-/
------- Comment #3 From 2005-12-09 18:13:53 -------
(In reply to comment #0)

Для себя собрал и там ещё кое-что по ходу подправил :) Сейчас спек и патч
приложу, вдруг тебе или кому пригодятся. Кстати, если ты не хочешь этим
заниматься, может NMU сделать ? ;-)

------- Comment #4 From 2005-12-09 18:15:03 -------
Created an attachment (id=1283) [details]
Спек для wmupmon 0.1.3
------- Comment #5 From 2005-12-09 18:16:39 -------
Created an attachment (id=1284) [details]
Патч, устаняющий предупреждения в wmupmon 0.1.3

-Werror в массы! ;-)
------- Comment #6 From 2005-12-19 22:01:49 -------
спасибо. чуть позже всё приложу и пересоберу
------- Comment #7 From 2006-03-26 19:22:02 -------
Пока не стал изменять секцию меню.
Патчик для -Werror я приложил, а вот захламлять spec-файл не стал. Не стоит оно
того, по-моему.

fixed in 0.1.3-alt2
------- Comment #8 From 2006-10-04 23:42:55 -------
(In reply to comment #7)
> Пока не стал изменять секцию меню.

Жаль... Пункт меню Window Maker смотрится в меню Fluxbox странно...

> fixed in 0.1.3-alt2

Не, не fixed. Ты неправильно command записал -- теперь апплет не запускается из
меню. 

-command="EXEC /usr/bin/wmupmon"
+command="/usr/bin/wmupmon"
------- Comment #9 From 2007-01-04 07:10:51 -------
дофиксил в alt3